## org.red5.server.net.remoting.message
Class RemotingCall

    java.lang.Object
      org.red5.server.service.Call
          org.red5.server.service.PendingCall
              org.red5.server.net.remoting.message.RemotingCall

All Implemented Interfaces:
  Externalizable, Serializable, IPendingServiceCall, IServiceCall

    public class RemotingCall

extends PendingCall

Remoting method call, specific pending call.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)
See Also:
  Serialized Form

Field Summary
`String` `clientCallback` Client callback name
`static String` `HANDLER_ERROR` Handler error posfix constant
`static String` `HANDLER_SUCCESS` Handler success posfix constant
`boolean` `isAMF3`
`boolean` `isMessaging`

Fields inherited from class org.red5.server.service.Call
`arguments, exception, serviceMethodName, serviceName, status, STATUS_ACCESS_DENIED, STATUS_APP_SHUTTING_DOWN, STATUS_GENERAL_EXCEPTION, STATUS_INVOCATION_EXCEPTION, STATUS_METHOD_NOT_FOUND, STATUS_PENDING, STATUS_SERVICE_NOT_FOUND, STATUS_SUCCESS_NULL, STATUS_SUCCESS_RESULT, STATUS_SUCCESS_VOID`

Constructor Summary
`RemotingCall()` Default / void constructor to prevent runtime exception.
`RemotingCall(String serviceName, String serviceMethod, Object[] args, String callback, boolean isAMF3, boolean isMessaging)` Create remoting call from service name, method name, list of arguments and callback name.

Method Summary
`String` `getClientResponse()` Getter for client response.
`Object` `getClientResult()` Getter for client result.
`void` `setClientCallback(String clientCallback)` Setter for client callback.

Methods inherited from class org.red5.server.service.PendingCall
`getCallbacks, getResult, readExternal, registerCallback, setResult, unregisterCallback, writeExternal`

Methods inherited from class org.red5.server.service.Call
`getArguments, getException, getServiceMethodName, getServiceName, getStatus, isSuccess, setArguments, setException, setServiceMethodName, setServiceName, setStatus, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.red5.server.api.service.IServiceCall
`getArguments, getException, getServiceMethodName, getServiceName, getStatus, isSuccess, setException, setStatus`

Field Detail

### HANDLER_SUCCESS

    public static final String HANDLER_SUCCESS

  Handler success posfix constant

  See Also:
    Constant Field Values

### HANDLER_ERROR

    public static final String HANDLER_ERROR

  Handler error posfix constant

  See Also:
    Constant Field Values

### clientCallback

    public String clientCallback

  Client callback name

### isAMF3

    public boolean isAMF3

### isMessaging

    public boolean isMessaging

Constructor Detail

### RemotingCall

    public RemotingCall()

  Default / void constructor to prevent runtime exception.

### RemotingCall

    public RemotingCall(String serviceName,
                        String serviceMethod,
                        Object[] args,
                        String callback,
                        boolean isAMF3,
                        boolean isMessaging)

  Create remoting call from service name, method name, list of arguments and callback name.

  Parameters:
    `serviceName` - Service name
    `serviceMethod` - Service method name
    `args` - Parameters passed to method
    `callback` - Name of client callback
    `isAMF3` - Does the client support AMF3?
    `isMessaging` - Is this a Flex messaging request?

Method Detail

### setClientCallback

    public void setClientCallback(String clientCallback)

  Setter for client callback.

  Parameters:
    `clientCallback` - Client callback

### getClientResponse

    public String getClientResponse()

  Getter for client response.

  Returns:
    Client response

### getClientResult

    public Object getClientResult()

  Getter for client result.

  Returns:
    Client result

Copyright © 2006-2010 The Red5 Project